Attribute "scope" must be declared for element type "bean". 异常解决办法

之前开发工具使用的是myeclipse,今天换成eclipse后spring.xml文件全部变成这样了.. 



强迫症的我是不允许的.. 查了一下原因,因为 "scope" 在spring2.0以后支持,所以把配置文件中的

<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans.dtd">

换成

<!DOCTYPE beans PUBLIC "-//SPRING//DTD BEAN//EN" "http://www.springframework.org/dtd/spring-beans-2.0.dtd">

就可以了。

参考自:https://blog.csdn.net/zi_jun/article/details/8271256


没有更多推荐了,返回首页

私密
私密原因:
请选择设置私密原因
  • 广告
  • 抄袭
  • 版权
  • 政治
  • 色情
  • 无意义
  • 其他
其他原因:
120
出错啦
系统繁忙,请稍后再试

关闭